main {
  background-color: #efefef;
}

/*--------------------  HERO SECTION START --------------------*/

#particles-js {
  max-width: 500px;
  width: 500px;
  height: 400px;
  position: absolute;
  z-index: 0;
}

.hero-section {
  --bg-color: #000;
  --form-bg-color: rgba(255, 255, 255, 0.1);

  color: var(--text-color-light);
  background-color: var(--bg-color);
  padding: 5rem 0;
}

.hero-section__container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 1rem;
}

.hero-section__grid {
  display: grid;
  gap: 3rem;
  align-items: center;
}

.hero-section__text-content {
  text-align: left;
  z-index: 10;
}

.hero-section__title {
  font-size: 28px;
  line-height: 1.2;
  font-weight: 700;
  letter-spacing: -0.025em;
  margin-bottom: 1.5rem;
  margin-top: 20px;
}

.hero-section__highlight {
  color: var(--bg-color-primary);
  display: block;
}

.hero-section__subtitle {
  font-size:16px;
  line-height: 1.6;
  font-weight: 600;
  max-width: 60ch;
  margin: 0 0 2.5rem;
  color: hsla(0, 22%, 90%, 0.7);
}

.hero-section__form-container {
  max-width: 500px;
  margin: 0 auto;
  width: 100%;
}

.contact-section__form {
  background-color: var(--form-bg-color);
  padding: 2rem;
  border-radius: 12px;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.contact-section__form input,
.contact-section__form textarea {
  width: 100%;
  padding: 0.75rem 1rem;
  font-size: 1rem;
  border-radius: 6px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  background-color: rgba(255, 255, 255, 0.05);
  color: var(--text-color-light);
  transition: border-color 0.3s ease;
}

.contact-section__form input::placeholder,
.contact-section__form textarea::placeholder {
  color: rgba(255, 255, 255, 0.6);
}

.contact-section__form input:focus,
.contact-section__form textarea:focus {
  outline: none;
  border-color: var(--bg-color-primary);
}

.contact-section__form textarea {
  min-height: 120px;
  max-height: 200px;
  resize: vertical;
}

.contact-section__form button {
  width: 100%;
  padding: 0.75rem;
  background-color: var(--bg-color-primary);
  color: var(--text-color-light-light);
  border: none;
  border-radius: 6px;
  cursor: pointer;
  font-size: 1rem;
  font-weight: 600;
  transition: background-color 0.3s ease;
}

.contact-section__form .disclaimer {
  font-size: 0.875rem;
  text-align: center;
  color: rgba(255, 255, 255, 0.7);
}

.contact-section__form .disclaimer a {
  color: var(--bg-color-primary);
  text-decoration: none;
  transition: color 0.3s ease;
}

.contact-section__form .disclaimer a:hover {
  color: #e6c15c;
}

@media (min-width: 768px) {
  .hero-section__grid {
    grid-template-columns: 1fr 1fr;
    gap: 4rem;
  }

  .hero-section__text-content {
    text-align: left;
  }

  .hero-section__subtitle {
    font-size:16px;
  line-height: 1.6;
  font-weight: 600;
  max-width: 60ch;
  margin: 0 0 2.5rem;
  color: hsla(0, 22%, 90%, 0.7);
  
  }

  .hero-section__title {
  font-size: 48px;
  line-height: 1.2;
  font-weight: 700;
  letter-spacing: -0.025em;
  margin-bottom: 1.5rem;
}
  
}

@media (min-width: 1024px) {
  .hero-section {
    padding: 7rem 0;
  }

  .hero-section__grid {
    gap: 6rem;
  }
}
/*--------------------  HERO SECTION END --------------------*/

/*--------------------  ELEVATE SECTION START --------------------*/

.elevate-section {
  background-color: #000;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity));
}

.elevate-section__container {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding-top: 2.5rem;
  padding-bottom: 2.5rem;
}

.elevate-section__title {
  font-size: 27px;
  line-height: 1.2;
  font-weight: 600;
  margin-left: auto;
  margin-right: auto;
  max-width: 970px;
}

.elevate-section__grid {
  display: grid;
  column-gap: 2rem;
  row-gap: 1.5rem;
}

.elevate-section__icon {
  margin-bottom: 1rem;
  stroke: #ffd766;
  stroke-width: 1.7px;
  width: 60px;
  height: 60px;
}

.elevate-section__subtitle {
  font-weight: 600;
  font-size: 1.25rem;
  line-height: 1.75rem;
  margin-bottom: 1rem;
}

.elevate-section__description {
  font-size: 1rem;
  line-height: 1.5rem;
  text-align: justify;
}

@media (min-width: 768px) {
  .elevate-section__container {
    padding-top: 4.5rem;
    padding-bottom: 4.5rem;
  }

  .elevate-section__grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }

  .elevate-section__title {
  font-size: 38px;
  line-height: 1.2;
  font-weight: 600;
  margin-left: auto;
  margin-right: auto;
  max-width: 970px;
}

}

@media (min-width: 1024px) {
  .elevate-section__container {
    gap: 4rem;
  }

  .elevate-section__title {
    text-align: center;
  }

  .elevate-section__grid {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }

  .elevate-section__subtitle {
    font-size: 1.5rem;
    line-height: 2rem;
  }
}

/*--------------------  elevate section END --------------------*/

/*--------------------  SERVICES SECTION START --------------------*/

.services-section{
   background-color: #E8E8E8;
}

.services-section__container {
  padding-top: 2.5rem;
  padding-bottom: 2.5rem;
  background-color: #E8E8E8;
}

.services-section__title {
  margin-bottom: 1.75rem;
  font-size: 27px;
  line-height: 2.25rem;
  font-weight: 600;
}

.services-section__description {
  font-size: 16px;
  line-height: 1.75rem;
  max-width: 970px;
  margin-bottom: 2rem;
}

.services-section__grid {
  display: grid;
  grid-template-columns: repeat(1, minmax(0, 1fr));
  gap: 2rem;
}

.services-section__card {
  border-width: 1px;
  max-width: 370px;
  background-color: #fff;
  border-radius: 0.75rem;
  padding: 1.5rem;
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
  transition-duration: 200ms;
  transition-timing-function: cubic-bezier(0.4, 0, 1, 1);
  border: 1px solid #dfe3e7;

  --tw-shadow: 4px 4px 6px rgba(0, 0, 0, 0.3), 2px 2px 4px rgba(0, 0, 0, 0.15);

  --tw-shadow-colored: 0 4px 6px -1px var(--tw-shadow-color),
    0 2px 4px -2px var(--tw-shadow-color);
  --tw-ring-offset-shadow: 0 0 #0000;
  --tw-ring-shadow: 0 0 #0000;
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
    var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
   text-align: justify;
}

.services-section__card:hover {
  
  --tw-shadow: 0 60px 80px -20px rgba(166, 165, 164, 0.3),
    0 4px 6px -4px rgb(0 0 0 / 0.1);
  --tw-shadow-colored: 0 10px 15px -3px var(--tw-shadow-color),
    0 4px 6px -4px var(--tw-shadow-color);
  box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000),
    var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);
}

.services-section__card-icon {
  margin-bottom: 1.75rem;
}

.services-section__card-title {
  margin-bottom: 0.5rem;
  font-size: 14px;
  line-height: 2rem;
  font-weight: 600;
margin-top:1px;
}

.services-section__card-text {
  color: #67737e;
  margin-bottom: 2rem;
  height: 3.5rem;
  font-size: 0.875rem;
  line-height: 1.25rem;
}

.services-section__card-link {
  color: #000;
  display: flex;
  align-items: center;
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 600;
}

.services-section__card-link-icon {
  background-color: var(--bg-color-primary);
  margin-left: 0.5rem;
  border-radius: 9999px;
  padding: 0.25rem;
  --tw-text-opacity: 1;
  color: rgb(255 255 255 / var(--tw-text-opacity));
}

.services-section__card-link-icon svg {
  display: block;
}

@media (min-width: 768px) {
  .services-section__container {
    padding-top: 4.5rem;
    padding-bottom: 4.5rem;
  }

  .services-section__title {
    font-size: 3rem;
    line-height: 1;
  }

  .services-section__description {
    margin-bottom: 3.5rem;
  }

  .services-section__grid {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    gap: 4rem;
  }

  .services-section__card {
    /* padding-left: 1.5rem;
    padding-right: 1.5rem;
    padding-top: 2rem;
    padding-bottom: 2rem; */
    padding: 35px;
  }

  .services-section__card-icon {
    margin-bottom: 2rem;
  }

  .services-section__card-text {
    margin-bottom: 2.25rem;
  }

  .services-section__card-link-icon {
    padding: 0.5rem;
  }
}

@media (min-width: 1024px) {
  .services-section__grid {
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}

/*--------------------  SERVICES SECTION END --------------------*/

/*--------------------  Services SECTION START --------------------*/
.services {
  margin-top: 4rem;
  padding: 2rem 0;
}

.services__head {
  margin: 0 auto;
}

.services__head-title {
  font-size: clamp(2.25rem, 5vw, 3rem);
  font-weight: 600;
  color: var(--text-color-light-primary);
  line-height: 1.2;
  max-width: 20ch;
  margin-bottom: 1.5rem;
}

.services__head-desc {
  max-width: 60ch;
  line-height: 1.6;
  font-weight: 400;
  color: var(--text-color-light-secondary, #333533);
  font-size: 1.125rem;
}

.services__body {
  margin-top: 5rem;
  overflow-x: hidden;
}

.services__item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 4rem;
  margin-bottom: 6rem;
}

.services__item--reverse {
  flex-direction: row-reverse;
}

.services__item-content {
  flex: 1;
  max-width: 600px;
}

.services__item-small-text {
  color: var(--bg-color-primary, rgb(140, 74, 232));
  letter-spacing: 0.1em;
  text-transform: uppercase;
  font-weight: 600;
  font-size: 0.875rem;
  margin-bottom: 0.5rem;
}

.services__item-title {
  font-size: clamp(1.5rem, 3vw, 2.5rem);
  line-height: 1.2;
  font-weight: 600;
  margin-bottom: 1rem;
  color: var(--text-color-light-primary);
}

.services__item-desc {
  font-size: 1rem;
  line-height: 1.6;
  color: var(--text-color-light-secondary, #333533);
  margin-bottom: 1.5rem;
 text-align: justify;
}

.services__item-image {
  flex: 1;
  max-width: 50%;
}

.services__item-image img {
  width: 100%;
  height: auto;
  aspect-ratio: 16/9;
  object-fit: cover;
  border-radius: 20px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.services__item-button {
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 600;
  color: var(--bg-color-primary);
  display: flex;
  align-items: center;
  gap: 0.5rem;
  margin-top: auto;
}

.services__item-button-icon {
  border-radius: 9999px;
  padding: 0.25rem;
  background-color: var(--bg-color-primary);
  color: white;
}

.services__item-button-icon > img {
  display: block;
}

@media (max-width: 1024px) {
  .services__item {
    flex-direction: column;
    gap: 2rem;
  }

  .services__item--reverse {
    flex-direction: column;
  }

  .services__head,
  .services__item-content,
  .services__item-image {
    max-width: 90%;
  }
}

@media (max-width: 768px) {
  .services {
    margin-top: 2rem;
  }

  .services__head-title {
    max-width: 100%;
  }

  .services__item {
    margin-bottom: 4rem;
  }

  .services__item-title {
    font-size: 1.75rem;
  }
}
/*--------------------  Services SECTION END --------------------*/

/*--------------------  ACCORDION START --------------------*/

.faq-section {
  padding: 100px 0;
}

.faq-section__title {
  font-size: 26px;
  line-height: 2.25rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
  margin-top: 20px;
}

.faq-section__accordion-item {
  padding-top: 7px;
    padding-bottom: 8pxs;
    
  border-bottom-width: 2px;
  border-bottom-color: #f9fafb;
  cursor: pointer;
}

.faq-section__accordion-header {
  display: flex;
  column-gap: 0.75rem;
}

.faq-section__accordion-content-container {
  font-size: 17px;
  line-height: 1.75rem;
  width: 100%;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
}

.faq-section__accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease-out;
}

.faq-section__accordion-icon {
  transition: background-color 0.3s linear, stroke 0.3s linear, fill 0.3s linear,
    transform 0.3s linear;
}

.faq-section__accordion-icon rect {
  stroke: var(--bg-color-primary);
}

.faq-section__accordion-icon path {
  fill: var(--bg-color-primary);
}

.faq-section__accordion-icon.active {
  transform: rotate(-135deg);
}

.faq-section__accordion-icon.active rect:first-of-type {
  fill: var(--bg-color-primary);
}

.faq-section__accordion-icon.active rect:last-of-type {
  stroke: #fff;
}

.faq-section__accordion-icon.active path {
  fill: #fff;
}

.faq-section__accordion-text {
  font-size: 1rem;
  line-height: 1.5rem;
  font-weight: 400;
  padding-top: 1rem;
  max-width: 770px;
  text-align: justify;
}

@media (max-width: 425px) {
  .faq-section__accordion-title {
    max-width: 21ch;
  }

    .faq-section {
  padding: 0px;
}
}

@media (min-width: 768px) {
  .faq-section__title {
    font-size: 3rem;
    line-height: 1;
      margin-bottom: 2.5rem;
  }

  .faq-section {
  padding:100px 0px;
}

}

@media (min-width: 1024px) {
  .faq-section__accordion-header {
    column-gap: 3.5rem;
  }

  .faq-section__accordion-content-container {
    font-size: 16px;
    line-height: 2rem;
  }

  .faq-section__accordion-text {
    font-size: 16px;
    line-height: 1.75rem;
  }
}

/*--------------------  ACCORDION END --------------------*/
